> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# getCartPackingSuggestions

> getCartPackingSuggestions



## OpenAPI

````yaml /openapi/openapi_fulfillment.json post /commerce/shipments/cartonization/packingSuggestions
openapi: 3.0.0
info:
  description: |-
    <div id="overview_FULFILLMENT">
                <h2>FULFILLMENT</h2>
                <p>The Fulfillment APIs support order management and fulfillment workflows based on the Shipment API and its
                    packages, including supporting needs such as pick waves and manifests. Once an order has been placed, it
                    generally
                    cannot be edited at the order-level. Instead, changes to the items, pricing, and other information must
                    be done at the
                    shipment level with the Shipment API. See the <a href="/concept-guides/fulfillment">Fulfillment user guides</a> for more information about fulfillment in UCP.</p>
                <p>When using the Shipment API to transition a shipment through each stage of its fulfillment process, it
                    can be
                    difficult to remember how to format the next step's endpoint and the expected parameters on-the-fly.
                    Additionally,
                    if a call such as cancellation, adding tracking information, or marking the shipment as fulfilled needs
                    to be performed
                    outside of the usual fulfillment flow, it may be confusing to determine how to perform the action
                    without referring to the
                    documentation. To assist with this, the Shipment API provides guidelines within the response body. This
                    response
                    includes two objects, workflowState and _links, that detail the shipment's next step in the workflow as
                    well as all
                    possible actions currently available to the shipment. Use 
                    <a href="/pages/fulfillment-api-overview">this walkthrough</a> to better 
                    understand how to work with this response data.</p>
                    <p>Use the <strong>Customer Survey</strong> resource to create surveys and gather data from your customers.</p>
                    <p>Use the <strong>Manifests</strong> resource to create shipping manifests for fulfillment partners such as Canada Post that require manifests for groups of shipments.</p>
                    <p>Use the <strong>Pick Wave</strong> resource to generate and process pick waves for picking groups of items at a fulfillment locations.</p>
                    <p>Use the <strong>Shipment</strong>, <strong>Shipment Attributes</strong>, <strong>Shipment Data</strong>, and <strong>Shipment Notification</strong> resources to manage the actual shipments being fulfilled and perform actions on them.</p>
                    <p>Use the <strong>Shipment Packages</strong> resource to create, update, and delete the individual packages within a shipment.</p>
                    <p>Use the <strong>Storefront</strong> resource to retrieve shipment information for the storefront.</p>
                    <p>Use the <strong>Workflow Process</strong> resource to retrieve BPM configurations and the fulfillment steps based on shipment type.</p>
            </div>
  title: Fulfillment  - Production Profile
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
tags:
  - name: CustomerSurvey
  - name: Fulfillment
  - name: FutureShipment
  - name: GiftReceipt
  - name: Manifest
  - name: PickWave
  - name: Rendition
  - name: ShipmentAttributes
  - name: ShipmentContact
  - name: Shipment
  - name: ShipmentData
  - name: ShipmentHold
  - name: ShipmentNotes
  - name: ShipmentPackages
  - name: ShipmentResendEmail
  - name: ShippingNotification
  - name: Storefront
  - name: Substitutions
  - name: WorkflowProcess
paths:
  /commerce/shipments/cartonization/packingSuggestions:
    post:
      tags:
        - PackingSuggestion
      summary: getCartPackingSuggestions
      description: getCartPackingSuggestions
      parameters:
        - in: header
          name: x-vol-site
          required: false
          schema:
            format: int32
            type: integer
        - in: header
          name: x-vol-tenant
          required: true
          schema:
            format: int32
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CartPackingSuggestionRequestDto'
        description: request
        required: true
      responses:
        '200':
          content:
            application/hal+json:
              schema:
                $ref: '#/components/schemas/PackingSuggestionResponseDto'
            application/json:
              schema:
                $ref: '#/components/schemas/PackingSuggestionResponseDto'
            application/xml:
              schema:
                $ref: '#/components/schemas/PackingSuggestionResponseDto'
          description: OK
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    CartPackingSuggestionRequestDto:
      properties:
        boxTypes:
          items:
            $ref: '#/components/schemas/BoxTypeDto'
          type: array
        items:
          items:
            $ref: '#/components/schemas/ItemDto'
          type: array
        maxPackingSlips:
          format: int32
          type: integer
      title: CartPackingSuggestionRequestDto
      type: object
    PackingSuggestionResponseDto:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        boxes:
          items:
            $ref: '#/components/schemas/PackedBoxDto'
          type: array
        leftOvers:
          items:
            $ref: '#/components/schemas/PackedItemDto'
          type: array
        lenLeftovers:
          format: int32
          type: integer
        packingSuggestionId:
          type: string
      title: PackingSuggestionResponseDto
      type: object
    BoxTypeDto:
      properties:
        boxId:
          format: int32
          type: integer
        dimensions:
          $ref: '#/components/schemas/DimensionsDto'
        name:
          type: string
        weightMax:
          type: number
        weightUnit:
          type: string
      title: BoxTypeDto
      type: object
    ItemDto:
      properties:
        dimensions:
          $ref: '#/components/schemas/DimensionsDto'
        lineId:
          format: int32
          type: integer
        productCode:
          type: string
        quantity:
          format: int32
          type: integer
        shipByItself:
          type: boolean
        sourceShipmentNumber:
          format: int32
          type: integer
        weight:
          type: number
        weightUnit:
          type: string
      title: ItemDto
      type: object
    PackedBoxDto:
      properties:
        boxId:
          format: int32
          type: integer
        dimensions:
          $ref: '#/components/schemas/DimensionsDto'
        items:
          items:
            $ref: '#/components/schemas/PackedItemDto'
          type: array
        name:
          type: string
        volumeUtilization:
          type: number
        weightUnit:
          type: string
        weightUsed:
          type: number
        weightUtilization:
          type: number
      title: PackedBoxDto
      type: object
    PackedItemDto:
      properties:
        dimensions:
          $ref: '#/components/schemas/DimensionsDto'
        lineId:
          format: int32
          type: integer
        origin:
          $ref: '#/components/schemas/PositionDto'
        quantity:
          format: int32
          type: integer
        sourceShipmentNumber:
          format: int32
          type: integer
        uniqueId:
          type: string
        weight:
          type: number
        weightUnit:
          type: string
      title: PackedItemDto
      type: object
    DimensionsDto:
      properties:
        height:
          type: number
        length:
          type: number
        unit:
          type: string
        width:
          type: number
      title: DimensionsDto
      type: object
    PositionDto:
      properties:
        x:
          type: number
        'y':
          type: number
        z:
          type: number
      title: PositionDto
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````